Index: frontend/src/Pages/RestaurantDetailsPage.js
===================================================================
--- frontend/src/Pages/RestaurantDetailsPage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/RestaurantDetailsPage.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,8 +1,8 @@
 import React from "react";
 import LoginForm from "../Components/Login/LoginForm";
-import {Container, Row, Col, Form} from "react-bootstrap";
+import { Container, Row, Col, Form } from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import Carousel from "react-bootstrap/Carousel";
-import {useState} from "react";
+import { useState } from "react";
 import DescriptionContainer from "../Components/HotelDetails/DescriptionContainer";
 import ReviewsCarousel from "../Components/HotelDetails/ReviewsCarousel";
@@ -11,168 +11,140 @@
 import Menu from "../Components/RestaurantDetails/Menu";
 import MenuCarousel from "../Components/RestaurantDetails/Carousel";
-import {useLocation} from "react-router-dom";
-import TablesTable from "../Components/RestaurantDetails/TablesTable";
 
 const RestaurantDetailsPage = (props) => {
-    document.body.style.backgroundColor = "white";
+  document.body.style.backgroundColor = "white";
 
-    const [index, setIndex] = useState(0);
-    const location = useLocation();
-    const {data, params: formData} = location.state;
+  const [index, setIndex] = useState(0);
 
-    const handleSelect = (selectedIndex) => {
-        setIndex(selectedIndex);
-    };
+  const handleSelect = (selectedIndex) => {
+    setIndex(selectedIndex);
+  };
 
-    return (
-        <>
-            <Navigation/>
-            <Container className="my-3">
-                <Row className="d-flex justify-content-between">
-                    <Col style={{textAlign: "left"}}>
-                        <h2 style={{color: "#159895"}}>{data.restaurantName}</h2>
-                    </Col>
-                    <Col>
-                        <Container>
-                            <Row className="mb-4">
-                                <Col style={{textAlign: "right"}}>
+  return (
+    <>
+      <Navigation />
+      <Container className="my-3">
+        <Row className="d-flex justify-content-between">
+          <Col style={{textAlign: "left"}}>
+            <h2 style={{color: "#159895"}}>Име на ресторант</h2>
+          </Col>
+          <Col>
+            <Container>
+              <Row className="mb-4">
+                <Col style={{textAlign: "right"}}>
                   <span
-                      style={{
-                          backgroundColor: "#159895",
-                          padding: "0.75em",
-                          fontWeight: "bold",
-                          fontSize: "1.25rem",
-                          borderRadius: "0.75em",
-                          color: "white",
-                      }}
+                    style={{
+                      backgroundColor: "#159895",
+                      padding: "0.75em",
+                      fontWeight: "bold",
+                      fontSize: "1.25rem",
+                      borderRadius: "0.75em",
+                      color: "white",
+                    }}
                   >
-                    {data.averageScore.toFixed(1)}
+                    9.1
                   </span>
-                                </Col>
-                            </Row>
-                        </Container>
-                    </Col>
-                </Row>
-                <Row>
-                    <Col
-                        className="p-3 rounded-4"
-                        sm={3}
-                        style={{backgroundColor: "#002B5B"}}
-                    >
-                        <Row>
-                            <h3 className="mb-5 mt-3" style={{color: "white"}}>Критериуми од пребарувањето</h3>
-                            <Form.Floating className="mb-3">
-                                <Form.Control
-                                    size="md"
-                                    type="text"
-                                    placeholder="Каде ќе патувате?:"
-                                    id="location"
-                                    name={'restaurantLocation'}
-                                    value={formData.restaurantLocation}
-                                ></Form.Control>
-                                <label style={{left: "10px"}} htmlFor="location">Локација:</label>
-                            </Form.Floating>
-                        </Row>
-                        <Row>
-                            <Form.Floating className="mb-3">
-                                <Form.Control
-                                    size="md"
-                                    type="date"
-                                    placeholder="Датум на резервација:"
-                                    id="date"
-                                    name={'date'}
-                                    value={formData.date}
-                                ></Form.Control>
-                                <label style={{left: "10px"}} htmlFor="dateFrom">Датум на резерација:</label>
-                            </Form.Floating>
-                        </Row>
-                        <Row>
-                            <Col>
-                                <Form.Floating className="mb-3">
-                                    <Form.Control
-                                        size="lg"
-                                        type="text"
-                                        placeholder="Место:"
-                                        id="location"
-                                        name={'hourFrom'}
-                                        value={formData.hourFrom}
-                                    ></Form.Control>
-                                    <label style={{left: "10px"}} htmlFor="location">Време од:</label>
-                                </Form.Floating>
-                            </Col>
-                            <Col>
-                                <Form.Floating className="mb-3">
-                                    <Form.Control
-                                        size="lg"
-                                        type="text"
-                                        placeholder="Место:"
-                                        id="location"
-                                        name={'hourTo'}
-                                        value={formData.hourTo}
-                                    ></Form.Control>
-                                    <label style={{left: "10px"}} htmlFor="location">Време до:</label>
-                                </Form.Floating>
-                            </Col>
-                        </Row>
-                        <Row>
-                            <Form.Floating className="mb-3">
-                                <Form.Control
-                                    size="md"
-                                    type="number"
-                                    placeholder="Број на гости:"
-                                    id="floatingPassengers"
-                                    name={'numPeople'}
-                                    value={formData.numPeople}
-                                ></Form.Control>
-                                <label style={{left: "10px"}} htmlFor="floatingPassengers">Број на гости:</label>
-                            </Form.Floating>
-                        </Row>
-                    </Col>
-                    <Col>
-                        <Container>
-                            <Row>
-                                <Carousel activeIndex={index} onSelect={handleSelect}>
-                                    {data.images.map((image) => {
-                                        let link = image.url;
-                                        if (image.url.includes('Desktop')) {
-                                            link = 'http://localhost:8080/download?fileName=' + encodeURIComponent(image.url);
-                                        }
-                                        return (
-                                            <Carousel.Item>
-                                                <img
-                                                    className="d-block w-100 h-400 rounded-5"
-                                                    src={link}
-                                                    alt="First slide"
-                                                    style={{ height: "50vh" }}
-                                                />
-                                            </Carousel.Item>
-                                        )
-                                    })}
-                                    {data.images.length == 0 && <Carousel.Item>
-                                        <img
-                                            className="d-block w-100 h-400 rounded-5"
-                                            src="https://emagazin.mk/wp-content/uploads/2022/03/Karos_Photography-7795.jpg"
-                                            alt="First slide"
-                                            style={{height: "50vh"}}
-                                        />
-                                    </Carousel.Item>}
-                                </Carousel>
-                            </Row>
-                            <Row>
-                                <Container></Container>
-                            </Row>
-                        </Container>
-                    </Col>
-                </Row>
-                <Row className="mb-5">
-                    <Col className="col-md-8"><DescriptionContainer data={data.restaurantDescription} type="restaurant"></DescriptionContainer></Col>
-                    <Col className="col-md-4"><ReviewsCarousel reviews={data.reviews}></ReviewsCarousel></Col>
-                </Row>
-                <Row className="mb-3"><MenuCarousel images={data.menuImages} menu={data.menus}></MenuCarousel></Row>
-                <Row><TablesTable params={formData} data={data.tables}></TablesTable></Row>
-                <Row><ContactBar></ContactBar></Row>
+                </Col>
+              </Row>
             </Container>
-        </>
-    );
+          </Col>
+        </Row>
+        <Row>
+          <Col
+            className="p-3 rounded-4"
+            sm={3}
+            style={{ backgroundColor: "#002B5B" }}
+          >
+            <Row>
+              <h3 className="mb-5 mt-3" style={{color: "white"}}>Критериуми од пребарувањето</h3>
+              <Form.Floating className="mb-3">
+                <Form.Control
+                  size="md"
+                  type="text"
+                  placeholder="Каде ќе патувате?:"
+                  id="location"
+                ></Form.Control>
+                <label htmlFor="location">Локација:</label>
+              </Form.Floating>
+            </Row>
+            <Row>
+              <Form.Floating className="mb-3">
+                <Form.Control
+                  size="md"
+                  type="date"
+                  placeholder="Датум на резервација:"
+                  id="date"
+                ></Form.Control>
+                <label htmlFor="dateFrom">Датум на резерација:</label>
+              </Form.Floating>
+            </Row>
+            <Row>
+              <Form.Floating className="mb-3">
+                <Form.Control
+                  size="md"
+                  type="time"
+                  placeholder="Време на пристигање:"
+                  id="time"
+                ></Form.Control>
+                <label htmlFor="time">Време на пристигање:</label>
+              </Form.Floating>
+            </Row>
+            <Row>
+              <Form.Floating className="mb-3">
+                <Form.Control
+                  size="md"
+                  type="number"
+                  placeholder="Број на гости:"
+                  id="floatingPassengers"
+                ></Form.Control>
+                <label htmlFor="floatingPassengers">Број на гости:</label>
+              </Form.Floating>
+            </Row>
+          </Col>
+          <Col>
+            <Container>
+              <Row>
+                <Carousel activeIndex={index} onSelect={handleSelect}>
+                  <Carousel.Item>
+                    <img
+                      className="d-block w-100 h-400 rounded-5"
+                      src="https://emagazin.mk/wp-content/uploads/2022/03/Karos_Photography-7795.jpg"
+                      alt="First slide"
+                      style={{ height: "50vh" }}
+                    />
+                  </Carousel.Item>
+                  <Carousel.Item>
+                    <img
+                      className="d-block w-100 rounded-5"
+                      src="https://emagazin.mk/wp-content/uploads/2022/03/Karos_Photography-7871.jpg"
+                      alt="Second slide"
+                      style={{ height: "50vh" }}
+                    />
+                  </Carousel.Item>
+                  <Carousel.Item>
+                    <img
+                      className="d-block w-100 rounded-5"
+                      src="https://lh5.googleusercontent.com/p/AF1QipMQAwahuuJCJ2rDUYNrhnwiX1070adTsM6LmzV5=w480-h300-k-n"
+                      alt="Third slide"
+                      style={{ height: "50vh" }}
+                    />
+                  </Carousel.Item>
+                </Carousel>
+              </Row>
+              <Row>
+                <Container></Container>
+              </Row>
+            </Container>
+          </Col>
+        </Row>
+        <Row className="mb-5">
+          <Col className="col-md-8"><DescriptionContainer type="restaurant"></DescriptionContainer></Col>
+          <Col className="col-md-4"><ReviewsCarousel></ReviewsCarousel></Col>
+        </Row>
+        <Row className="mb-3"><MenuCarousel></MenuCarousel></Row>
+        <Row><ContactBar></ContactBar></Row>
+      </Container>
+    </>
+  );
 };
 
Index: frontend/src/Pages/RestaurantEditPage.js
===================================================================
--- frontend/src/Pages/RestaurantEditPage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/RestaurantEditPage.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -6,6 +6,5 @@
 import RestaurantEditTab from "../Components/RestaurantEdit/RestaurantEditTab";
 import useGet from "../Components/Hooks/useGet";
-import {Navigate, useParams, useSearchParams} from "react-router-dom";
-import {useAuth} from "../Components/Context/AuthContext";
+import { useParams, useSearchParams } from "react-router-dom";
 
 const RestaurantEditPage = () => {
Index: frontend/src/Pages/SearchPage.js
===================================================================
--- frontend/src/Pages/SearchPage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/SearchPage.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,8 +1,8 @@
-import React, {useState} from "react";
+import React from "react";
 import Navigation from '../Components/Layout/Navbar/Navigation';
 import 'bootstrap/dist/css/bootstrap.css';
 import 'bootstrap/dist/js/bootstrap.js';
 import HomeCarousel from '../Components/Layout/CarouselHome/Carousel';
-import {Card, Container, Nav, Row, Col} from 'react-bootstrap';
+import { Card, Container, Nav, Row, Col } from 'react-bootstrap';
 import TabComponent from '../Components/Tab/Tab';
 import Offers from '../Components/Layout/Offers/Offers';
@@ -11,13 +11,10 @@
 import BecomeAHost from "../Components/BecomeAHost/BecomeAHost"
 import HotelLisitng from "../Components/Listings/HotelListing"
-import SearchCriteriasHotel from "../Components/SearchCriterias/SearchCriteriasHotel";
+import SearchCriterias from "../Components/SearchCriterias/SearchCriteriasBar";
 import SortButton from "../Components/Listings/SortButton";
 import FilterButton from "../Components/Listings/FilterButton";
 import TransportListing from "../Components/Listings/TransportListing";
 import useGet from "../Components/Hooks/useGet";
-import {useParams} from "react-router-dom";
-import SearchCriteriasBar from "../Components/SearchCriterias/SearchCriteriasBar";
-import RestaurantDetailsPage from "./RestaurantDetailsPage";
-import RestaurantListing from "../Components/Listings/RestaurantListing";
+import { useParams } from "react-router-dom";
 
 
@@ -26,5 +23,5 @@
     const params = useParams();
     console.log(params)
-    const [sortingArg, setSortingArg] = useState("")
+
 
     document.body.style.backgroundColor = "white"
@@ -38,73 +35,13 @@
 
     }
-
-    const getSortingFn = (type, arg) => {
-        if (type === 'hotel') {
-            if (arg === "priceAsc")
-            {
-                return (a, b) => {
-                    return a.totalPrice - b.totalPrice;
-                }
-            }
-            else if (arg === "priceDesc")
-            {
-                return (a, b) => {
-                    return -(a.totalPrice - b.totalPrice);
-                }
-            }
-            else if (arg === 'nameAsc')
-            {
-                return (a, b) => {
-                    return a.hotelName.localeCompare(b.hotelName);
-                }
-            }
-            else if(arg === 'nameDesc')
-            {
-                return (a, b) => {
-                    return -a.hotelName.localeCompare(b.hotelName);
-                }
-            }
-        }
-        else if (type === 'transport')
-        {
-            if (arg === "priceAsc")
-            {
-                return (a, b) => {
-                    return a.price - b.price;
-                }
-            }
-            else if (arg === "priceDesc")
-            {
-                return (a, b) => {
-                    return -(a.price - b.price);
-                }
-            }
-        }
-        else if (type === 'restaurant')
-        {
-            if (arg === 'nameAsc')
-            {
-                return (a, b) => {
-                    return a.restaurantName.localeCompare(b.restaurantName);
-                }
-            }
-            else if(arg === 'nameDesc')
-            {
-                return (a, b) => {
-                    return -a.restaurantName.localeCompare(b.restaurantName);
-                }
-            }
-        }
-    }
-
-    let link = props.type === "transport" ? `/transport/search?from=${params.from}&to=${params.to}&date=${params.date}&numPassengers=${params.numPassengers}` : props.type === "hotel" ? `/hotel/search?hotelLocation=${params.hotelLocation}&dateFrom=${params.dateFrom}&dateTo=${params.dateTo}&numBeds=${params.numBeds}&flexible=${params.flexible}` : `/restaurant/search?restaurantLocation=${params.restaurantLocation}&date=${params.date}&hourFrom=${params.hourFrom}&hourTo=${params.hourTo}&numPeople=${params.numPeople}`
+    
+    let link = props.type === "transport" ? `/transport/search?from=${params.from}&to=${params.to}&date=${params.date}` : props.type === "hotel" ? `/hotel/search?hotelLocation=${params.hotelLocation}&dateFrom=${params.dateFrom}&dateTo=${params.dateTo}&numBeds=${params.numBeds}` : ""
     console.log(link)
-    console.log(params.date)
-    const {data, isLoading, getData, setData} = useGet(link);
+    const { data, isLoading, getData, setData } = useGet(link);
     !isLoading && console.log(data)
     return (
         <>
             <Navigation></Navigation>
-            <SearchCriteriasBar type={props.type} criterias={useParams()}></SearchCriteriasBar>
+            <SearchCriterias criterias={useParams()}></SearchCriterias>
             <Container className="d-flex justify-content-end gx-5" style={{maxWidth: "60%"}}>
                 <Row>
@@ -113,21 +50,16 @@
                     </Col>
                     <Col>
-                        <SortButton setSortingArg={setSortingArg} type={props.type}></SortButton>
+                        <SortButton></SortButton>
                     </Col>
                 </Row>
             </Container>
             {props.type === "hotel" && !isLoading && data && <Container fluid>
-                {data.sort(getSortingFn(props.type, sortingArg)).map(hotel => {
+                {data.map(hotel => {
                     return <HotelLisitng from={params.dateFrom} to={params.dateTo} data={hotel}/>
                 })}
-            </Container>}
+                </Container>}
             {props.type === "transport" && !isLoading && data && <Container fluid>
-                {data.sort(getSortingFn(props.type, sortingArg)).map(transport => {
-                    return <TransportListing params={params} data={transport}/>
-                })}
-            </Container>}
-            {props.type === "restaurant" && !isLoading && data && <Container fluid>
-                {data.sort(getSortingFn(props.type, sortingArg)).map(restaurant => {
-                    return <RestaurantListing params={params} data={restaurant}/>
+                {data.map(transport => {
+                    return <TransportListing data={transport}/>
                 })}
             </Container>}
